org.apache.poi.ss.usermodel

## Enum PageOrder

- java.lang.Object
- - java.lang.Enum<PageOrder>
  - - org.apache.poi.ss.usermodel.PageOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PageOrder>

      public enum PageOrder
      extends java.lang.Enum<PageOrder>

  Specifies printed page order.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN_THEN_OVER` Order pages vertically first, then move horizontally.
    `OVER_THEN_DOWN` Order pages horizontally first, then move vertically

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static PageOrder` | `valueOf(int value)`
    `static PageOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PageOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWN_THEN_OVER

          public static final PageOrder DOWN_THEN_OVER

      Order pages vertically first, then move horizontally.

    - #### OVER_THEN_DOWN

          public static final PageOrder OVER_THEN_DOWN

      Order pages horizontally first, then move vertically

  - ### Method Detail

    - #### values

          public static PageOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PageOrder c : PageOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PageOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### valueOf

          public static PageOrder valueOf(int value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.